Games State holder Used to track the state across multiple games between two players

### Hierarchy

- State

## Index

### Constructors

- constructor

### Properties

- games
- gamesCompleted
- gamesTied
- state
- timeouts
- times
- winner
- wins

### Methods

- getStats
- printState

## Constructors

### constructor

- new State(): State

- - Defined in tournament/model/State.ts:31

  #### Returns State

## Properties

### games

games: IGameStats[]

- Defined in tournament/model/State.ts:24

### gamesCompleted

gamesCompleted: number

- Defined in tournament/model/State.ts:25

### gamesTied

gamesTied: number

- Defined in tournament/model/State.ts:26

### state

state: "playing" | "finished" | "upcoming"

- Defined in tournament/model/State.ts:30

### timeouts

timeouts: number[]

- Defined in tournament/model/State.ts:29

### times

times: number[]

- Defined in tournament/model/State.ts:28

### winner

winner: number

- Defined in tournament/model/State.ts:31

### wins

wins: number[]

- Defined in tournament/model/State.ts:27

## Methods

### getStats

- getStats(): IStats

- - Defined in tournament/model/State.ts:71

  Get some useful stats from the current game state

  #### Returns IStats

### printState

- printState(): void

- - Defined in tournament/model/State.ts:47

  Prints the current state to the console

  #### Returns void

Generated using TypeDoc